summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/gettext-4
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/gettext-4')
-rwxr-xr-xgettext-tools/tests/gettext-49
1 files changed, 8 insertions, 1 deletions
diff --git a/gettext-tools/tests/gettext-4 b/gettext-tools/tests/gettext-4
index aa3332b..f70eb18 100755
--- a/gettext-tools/tests/gettext-4
+++ b/gettext-tools/tests/gettext-4
@@ -6,7 +6,14 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
# This test works only on systems that have a de_DE.ISO-8859-1 locale installed.
-LC_ALL=de_DE.ISO-8859-1 ./testlocale || exit 77
+LC_ALL=de_DE.ISO-8859-1 ./testlocale || {
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: locale de_DE.ISO-8859-1 not installed"
+ else
+ echo "Skipping test: locale de_DE.ISO-8859-1 not supported"
+ fi
+ exit 77
+}
tmpfiles="$tmpfiles de_DE"
test -d de_DE || mkdir de_DE